Datenschutz Impressum

NOF-Schule | Forum

zur Schule NOF-NetObjects-Tutorials von Tommy Herrmann


PHP-Versionen
#1
Hallo, aus Oberbayern,

ich habe eine Frage an Werner bzgl. seines genialen e-Mail-Formulars. Oder vielleicht kann mir auch jemand anders weiterhelfen.

Ich habe von meinem Provider die Info erhalten, daß PHP 7.1 seit Dezember 2019 veraltet ist und die PHP Community keine Sicherheitsupdates mehr zur Verfügung stellt.

Bei einem Wechsel zu einer aktuellen PHP-Version sollte die Website auf Funktionalität geprüft werden; möglicherweise müssten Web-Anwendungen aktualisiert werden, damit sie mit einer aktuellen PHP-Version funktionieren.

Nun meine Frage: Sind die e-Mail-Formulare von Werner in irgendeiner Weise davon betroffen? Oder - wo kann ich mich sachkundig machen, was sich in PHP geändert hat?

Ich habe auch einen Counter über Cookies eingebaut.

Über eine Antwort würde ich mich sehr freuen.
Herzlichst Yogi
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren
#2
Moin,

nein - Werners PHP-Anwendungen sind nicht betroffen.

Ich habe auch PHP7.3 am Laufen.

Werner hat das alles zukunftssicher programmiert Smiling

Bei meinem Provider "1und1 Ionos" kann man dann da beliebig oft die angebotenen PHP-Version hin- und her schalten. Du kannst das also dann tatsächlich gleich überprüfen. Sollte es bei irgendwelchen anderen, alten PHP-Skripten Probleme geben, kannst Du das so kontrollieren.

Die PHP-Skripte (Komponenten) von NOF laufen aber ab PHP7 gar nicht mehr.
Webseite des Benutzers besuchen Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren
#3
Vielen Dank, Tommy! Habe die neuen Einstellungen vorgenommen und überprüft; hat alles wunderbar geklappt.

Servus
Yogi99
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren
#4
Normalerweise bekommt man als PHP Entwickler mit wenn eine Funktion nicht mehr geht.
Dies wird wenigstens 2 Jahre zuvor mitgeteilt.
Erstens wenn man sich regelmäßig in diversen Foren über PHP informiert und nach Lösungen sucht oder hier nachschaut. Zweitens wird eine Fehlermeldung im Entwicklermodus angezeigt wenn eine Funktion in Zukunft nicht mehr funktioniert.

Natürlich wird jedes Script mal alt, aber solange es meine Website gibt werden die Scripte immer auf den neusten Stand bleiben.
Bleibt Gesund!
Werner
https://werner-zenk.de - Webseiten erstellen, optimieren und aufpeppen

Benutze zum arbeiten: Win10 (Windows Insider) - Mozilla Firefox, Microsoft Edge - EmEditor, Visual Studio Code - XAMPP/WAMP,  FileZilla, paint.net und Gimp.
Webseite des Benutzers besuchen Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren
#5
Danke, Werner, danke für die wertvollen Infos.

Gruß Yogi
Alle Beiträge dieses Benutzers finden
Diese Nachricht in einer Antwort zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  mehrere alte NOF-Versionen re-installieren juschka 5 319 15.03.2020, 09:11
Letzter Beitrag: Wolfgang Z
  probleme-mit-neueren-php-versionen Manfred-W 15 2.244 03.08.2017, 11:24
Letzter Beitrag: Radi
  Probleme mit neueren PHP Versionen Neandertaler 15 4.569 25.01.2017, 14:33
Letzter Beitrag: Tommy Herrmann
  Deinstallation älterer Versionen herbynavy 5 1.766 11.03.2012, 20:26
Letzter Beitrag: herbynavy
  Deinstallation älterer Versionen herbynavy 1 1.240 11.03.2012, 12:32
Letzter Beitrag: barbara0701



Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
nach oben An den Anfang der Seite scrollen
NetObjects Fusion Infos, Downloads und Updates Diese Website wird durch Bot-Trap vor Spam geschützt!